#
# spec file for package python-shellingham
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-shellingham
Version:        1.3.1
Release:        bp155.2.12
Summary:        Library to detect surrounding shell
License:        ISC
Group:          Development/Languages/Python
URL:            https://github.com/sarugaku/shellingham
Source:         https://github.com/sarugaku/shellingham/archive/%{version}.tar.gz#//shellingham-%{version}.tar.gz
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python library to detect surrounding shell.

%prep
%setup -q -n shellingham-%{version}
rm -r tasks

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python -m pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Apr 24 2019 pgajdos@suse.com
- version update to 1.3.1
  * Fix a typo that prevents ash and csh from being detected.  `#24
  <https://github.com/sarugaku/shellingham/issues/24>`_
* Fri Mar  8 2019 John Vandenberg <jayvdb@gmail.com>
- Activated test suite from GitHub archive
- Update to v1.3.0
  * No significant changes
* Fri Mar  1 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.2.8
